Skip to content

Services

All operations require authentication.

8 operationsv1/xdsl/{serviceName}
Agent setup

Get the Bloc IP status of the modemProduction

GET
/1.0/xdsl/{serviceName}/modem/blocIp

Returns whether the Bloc IP service is enabled or disabled on the modem of the access.

Path parameters

serviceName
required
string

Service name

Response

200ServiceStatusEnumsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/modem/blocIp \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"disabled"

Enable or disable Bloc IP on the modemProduction

POST
/1.0/xdsl/{serviceName}/modem/blocIp

Changes the status of the Bloc IP service on the modem of the access. Returns the task that performs the change.

Path parameters

serviceName
required
string

Service name

Request body (required)

status
required
ServiceStatusEnum

Status of the service

Valuesdisabledenabled

Response

200Tasksuccessful operation
doneDate
read-only
stringdate-time

Date when the action was completed

function
read-only
string
—
id
read-only
integer
—
isArchived
read-only
boolean
—
status
read-only
TaskStatusEnum

Status of a task.

Valuescancelleddoingdoneerrorproblemtodo
todoDate
read-only
stringdate-time

Date when the action will start

updateDate
read-only
stringdate-time
—

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/modem/blocIp \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "isArchived": true, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "updateDate": "2024-01-01T12:00:00Z"}

Get the call waiting status of the modemProduction

GET
/1.0/xdsl/{serviceName}/modem/callWaiting

Returns whether call waiting is enabled or disabled on the modem of the access.

Path parameters

serviceName
required
string

Service name

Response

200ServiceStatusEnumsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/modem/callWaiting \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"disabled"

Enable or disable call waiting on the modemProduction

POST
/1.0/xdsl/{serviceName}/modem/callWaiting

Changes the status of call waiting on the modem of the access. Returns the task that performs the change.

Path parameters

serviceName
required
string

Service name

Request body (required)

callWaiting
required
ServiceStatusEnum

Status of the service

Valuesdisabledenabled

Response

200Tasksuccessful operation
doneDate
read-only
stringdate-time

Date when the action was completed

function
read-only
string
—
id
read-only
integer
—
isArchived
read-only
boolean
—
status
read-only
TaskStatusEnum

Status of a task.

Valuescancelleddoingdoneerrorproblemtodo
todoDate
read-only
stringdate-time

Date when the action will start

updateDate
read-only
stringdate-time
—

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/modem/callWaiting \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "isArchived": true, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "updateDate": "2024-01-01T12:00:00Z"}

Get the content sharing status of the modemProduction

GET
/1.0/xdsl/{serviceName}/modem/contentSharing

Returns whether content sharing is enabled or disabled on the modem of the access.

Path parameters

serviceName
required
string

Service name

Response

200ServiceStatusEnumsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/modem/contentSharing \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"disabled"

Enable or disable content sharing on the modemProduction

POST
/1.0/xdsl/{serviceName}/modem/contentSharing

Changes the status of content sharing on the modem of the access. Returns the task that performs the change.

Path parameters

serviceName
required
string

Service name

Request body (required)

contentSharing
required
ServiceStatusEnum

Status of the service

Valuesdisabledenabled

Response

200Tasksuccessful operation
doneDate
read-only
stringdate-time

Date when the action was completed

function
read-only
string
—
id
read-only
integer
—
isArchived
read-only
boolean
—
status
read-only
TaskStatusEnum

Status of a task.

Valuescancelleddoingdoneerrorproblemtodo
todoDate
read-only
stringdate-time

Date when the action will start

updateDate
read-only
stringdate-time
—

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/modem/contentSharing \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "isArchived": true, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "updateDate": "2024-01-01T12:00:00Z"}

Get the FTP status of the modemProduction

GET
/1.0/xdsl/{serviceName}/modem/ftp

Returns whether the FTP service is enabled or disabled on the modem of the access.

Path parameters

serviceName
required
string

Service name

Response

200ServiceStatusEnumsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/modem/ftp \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"disabled"

Enable or disable FTP on the modemProduction

POST
/1.0/xdsl/{serviceName}/modem/ftp

Changes the status of the FTP service on the modem of the access. Returns the task that performs the change.

Path parameters

serviceName
required
string

Service name

Request body (required)

ftp
required
ServiceStatusEnum

Status of the service

Valuesdisabledenabled

Response

200Tasksuccessful operation
doneDate
read-only
stringdate-time

Date when the action was completed

function
read-only
string
—
id
read-only
integer
—
isArchived
read-only
boolean
—
status
read-only
TaskStatusEnum

Status of a task.

Valuescancelleddoingdoneerrorproblemtodo
todoDate
read-only
stringdate-time

Date when the action will start

updateDate
read-only
stringdate-time
—

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/modem/ftp \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "isArchived": true, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "updateDate": "2024-01-01T12:00:00Z"}